<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<template encoding-version="1.3">
    <description></description>
    <groupId>8ae19358-0180-1000-2d50-cdc130a0e421</groupId>
    <name>GradedLab</name>
    <snippet>
        <connections>
            <id>61ff0f36-88c8-3c05-0000-000000000000</id>
            <parentGroupId>d08c3ef8-1075-3016-0000-000000000000</parentGroupId>
            <backPressureDataSizeThreshold>1 GB</backPressureDataSizeThreshold>
            <backPressureObjectThreshold>10000</backPressureObjectThreshold>
            <destination>
                <groupId>d08c3ef8-1075-3016-0000-000000000000</groupId>
                <id>f2563950-3e71-33e0-0000-000000000000</id>
                <type>FUNNEL</type>
            </destination>
            <flowFileExpiration>0 sec</flowFileExpiration>
            <labelIndex>1</labelIndex>
            <loadBalanceCompression>DO_NOT_COMPRESS</loadBalanceCompression>
            <loadBalancePartitionAttribute></loadBalancePartitionAttribute>
            <loadBalanceStatus>LOAD_BALANCE_NOT_CONFIGURED</loadBalanceStatus>
            <loadBalanceStrategy>DO_NOT_LOAD_BALANCE</loadBalanceStrategy>
            <name></name>
            <source>
                <groupId>29c40a2d-cf0c-36ee-0000-000000000000</groupId>
                <id>0fa95015-a983-34a1-0000-000000000000</id>
                <type>OUTPUT_PORT</type>
            </source>
            <zIndex>0</zIndex>
        </connections>
        <connections>
            <id>efc83758-bd33-3042-0000-000000000000</id>
            <parentGroupId>d08c3ef8-1075-3016-0000-000000000000</parentGroupId>
            <backPressureDataSizeThreshold>1 GB</backPressureDataSizeThreshold>
            <backPressureObjectThreshold>10000</backPressureObjectThreshold>
            <destination>
                <groupId>d08c3ef8-1075-3016-0000-000000000000</groupId>
                <id>7f7e59da-5392-3dca-0000-000000000000</id>
                <type>FUNNEL</type>
            </destination>
            <flowFileExpiration>0 sec</flowFileExpiration>
            <labelIndex>1</labelIndex>
            <loadBalanceCompression>DO_NOT_COMPRESS</loadBalanceCompression>
            <loadBalancePartitionAttribute></loadBalancePartitionAttribute>
            <loadBalanceStatus>LOAD_BALANCE_NOT_CONFIGURED</loadBalanceStatus>
            <loadBalanceStrategy>DO_NOT_LOAD_BALANCE</loadBalanceStrategy>
            <name></name>
            <source>
                <groupId>ea7c5a0c-c717-34ee-0000-000000000000</groupId>
                <id>db0622ae-d52e-371f-0000-000000000000</id>
                <type>OUTPUT_PORT</type>
            </source>
            <zIndex>0</zIndex>
        </connections>
        <controllerServices>
            <id>c7955283-ec17-33b0-0000-000000000000</id>
            <parentGroupId>d08c3ef8-1075-3016-0000-000000000000</parentGroupId>
            <bundle>
                <artifact>nifi-record-serialization-services-nar</artifact>
                <group>org.apache.nifi</group>
                <version>1.15.0</version>
            </bundle>
            <descriptors>
                <entry>
                    <key>Schema Write Strategy</key>
                    <value>
                        <name>Schema Write Strategy</name>
                    </value>
                </entry>
                <entry>
                    <key>schema-cache</key>
                    <value>
                        <identifiesControllerService>org.apache.nifi.serialization.RecordSchemaCacheService</identifiesControllerService>
                        <name>schema-cache</name>
                    </value>
                </entry>
                <entry>
                    <key>schema-protocol-version</key>
                    <value>
                        <dependencies>
                            <dependentValues>hwx-schema-ref-attributes</dependentValues>
                            <dependentValues>hwx-content-encoded-schema</dependentValues>
                            <propertyName>Schema Write Strategy</propertyName>
                        </dependencies>
                        <name>schema-protocol-version</name>
                    </value>
                </entry>
                <entry>
                    <key>schema-access-strategy</key>
                    <value>
                        <name>schema-access-strategy</name>
                    </value>
                </entry>
                <entry>
                    <key>schema-registry</key>
                    <value>
                        <dependencies>
                            <dependentValues>confluent-encoded</dependentValues>
                            <dependentValues>schema-name</dependentValues>
                            <dependentValues>hwx-schema-ref-attributes</dependentValues>
                            <dependentValues>hwx-content-encoded-schema</dependentValues>
                            <propertyName>schema-access-strategy</propertyName>
                        </dependencies>
                        <identifiesControllerService>org.apache.nifi.schemaregistry.services.SchemaRegistry</identifiesControllerService>
                        <name>schema-registry</name>
                    </value>
                </entry>
                <entry>
                    <key>schema-name</key>
                    <value>
                        <dependencies>
                            <dependentValues>schema-name</dependentValues>
                            <propertyName>schema-access-strategy</propertyName>
                        </dependencies>
                        <name>schema-name</name>
                    </value>
                </entry>
                <entry>
                    <key>schema-version</key>
                    <value>
                        <dependencies>
                            <dependentValues>schema-name</dependentValues>
                            <propertyName>schema-access-strategy</propertyName>
                        </dependencies>
                        <name>schema-version</name>
                    </value>
                </entry>
                <entry>
                    <key>schema-branch</key>
                    <value>
                        <dependencies>
                            <dependentValues>schema-name</dependentValues>
                            <propertyName>schema-access-strategy</propertyName>
                        </dependencies>
                        <name>schema-branch</name>
                    </value>
                </entry>
                <entry>
                    <key>schema-text</key>
                    <value>
                        <dependencies>
                            <dependentValues>schema-text-property</dependentValues>
                            <propertyName>schema-access-strategy</propertyName>
                        </dependencies>
                        <name>schema-text</name>
                    </value>
                </entry>
                <entry>
                    <key>Date Format</key>
                    <value>
                        <name>Date Format</name>
                    </value>
                </entry>
                <entry>
                    <key>Time Format</key>
                    <value>
                        <name>Time Format</name>
                    </value>
                </entry>
                <entry>
                    <key>Timestamp Format</key>
                    <value>
                        <name>Timestamp Format</name>
                    </value>
                </entry>
                <entry>
                    <key>CSV Format</key>
                    <value>
                        <name>CSV Format</name>
                    </value>
                </entry>
                <entry>
                    <key>Value Separator</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Value Separator</name>
                    </value>
                </entry>
                <entry>
                    <key>Include Header Line</key>
                    <value>
                        <name>Include Header Line</name>
                    </value>
                </entry>
                <entry>
                    <key>Quote Character</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Quote Character</name>
                    </value>
                </entry>
                <entry>
                    <key>Escape Character</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Escape Character</name>
                    </value>
                </entry>
                <entry>
                    <key>Comment Marker</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Comment Marker</name>
                    </value>
                </entry>
                <entry>
                    <key>Null String</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Null String</name>
                    </value>
                </entry>
                <entry>
                    <key>Trim Fields</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Trim Fields</name>
                    </value>
                </entry>
                <entry>
                    <key>Quote Mode</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Quote Mode</name>
                    </value>
                </entry>
                <entry>
                    <key>Record Separator</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Record Separator</name>
                    </value>
                </entry>
                <entry>
                    <key>Include Trailing Delimiter</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Include Trailing Delimiter</name>
                    </value>
                </entry>
                <entry>
                    <key>csvutils-character-set</key>
                    <value>
                        <name>csvutils-character-set</name>
                    </value>
                </entry>
            </descriptors>
            <name>CSVRecordSetWriter</name>
            <persistsState>false</persistsState>
            <properties>
                <entry>
                    <key>Schema Write Strategy</key>
                    <value>no-schema</value>
                </entry>
                <entry>
                    <key>schema-cache</key>
                </entry>
                <entry>
                    <key>schema-protocol-version</key>
                    <value>1</value>
                </entry>
                <entry>
                    <key>schema-access-strategy</key>
                    <value>inherit-record-schema</value>
                </entry>
                <entry>
                    <key>schema-registry</key>
                </entry>
                <entry>
                    <key>schema-name</key>
                    <value>${schema.name}</value>
                </entry>
                <entry>
                    <key>schema-version</key>
                </entry>
                <entry>
                    <key>schema-branch</key>
                </entry>
                <entry>
                    <key>schema-text</key>
                    <value>${avro.schema}</value>
                </entry>
                <entry>
                    <key>Date Format</key>
                </entry>
                <entry>
                    <key>Time Format</key>
                </entry>
                <entry>
                    <key>Timestamp Format</key>
                </entry>
                <entry>
                    <key>CSV Format</key>
                    <value>custom</value>
                </entry>
                <entry>
                    <key>Value Separator</key>
                    <value>,</value>
                </entry>
                <entry>
                    <key>Include Header Line</key>
                    <value>true</value>
                </entry>
                <entry>
                    <key>Quote Character</key>
                    <value>"</value>
                </entry>
                <entry>
                    <key>Escape Character</key>
                    <value>\</value>
                </entry>
                <entry>
                    <key>Comment Marker</key>
                </entry>
                <entry>
                    <key>Null String</key>
                </entry>
                <entry>
                    <key>Trim Fields</key>
                    <value>true</value>
                </entry>
                <entry>
                    <key>Quote Mode</key>
                    <value>MINIMAL</value>
                </entry>
                <entry>
                    <key>Record Separator</key>
                    <value>\n</value>
                </entry>
                <entry>
                    <key>Include Trailing Delimiter</key>
                    <value>false</value>
                </entry>
                <entry>
                    <key>csvutils-character-set</key>
                    <value>UTF-8</value>
                </entry>
            </properties>
            <state>ENABLED</state>
            <type>org.apache.nifi.csv.CSVRecordSetWriter</type>
        </controllerServices>
        <controllerServices>
            <id>f13244c1-90d7-3ee9-0000-000000000000</id>
            <parentGroupId>d08c3ef8-1075-3016-0000-000000000000</parentGroupId>
            <bundle>
                <artifact>nifi-record-serialization-services-nar</artifact>
                <group>org.apache.nifi</group>
                <version>1.15.0</version>
            </bundle>
            <comments></comments>
            <descriptors>
                <entry>
                    <key>schema-access-strategy</key>
                    <value>
                        <name>schema-access-strategy</name>
                    </value>
                </entry>
                <entry>
                    <key>schema-registry</key>
                    <value>
                        <dependencies>
                            <dependentValues>confluent-encoded</dependentValues>
                            <dependentValues>schema-name</dependentValues>
                            <dependentValues>hwx-schema-ref-attributes</dependentValues>
                            <dependentValues>hwx-content-encoded-schema</dependentValues>
                            <propertyName>schema-access-strategy</propertyName>
                        </dependencies>
                        <identifiesControllerService>org.apache.nifi.schemaregistry.services.SchemaRegistry</identifiesControllerService>
                        <name>schema-registry</name>
                    </value>
                </entry>
                <entry>
                    <key>schema-name</key>
                    <value>
                        <dependencies>
                            <dependentValues>schema-name</dependentValues>
                            <propertyName>schema-access-strategy</propertyName>
                        </dependencies>
                        <name>schema-name</name>
                    </value>
                </entry>
                <entry>
                    <key>schema-version</key>
                    <value>
                        <dependencies>
                            <dependentValues>schema-name</dependentValues>
                            <propertyName>schema-access-strategy</propertyName>
                        </dependencies>
                        <name>schema-version</name>
                    </value>
                </entry>
                <entry>
                    <key>schema-branch</key>
                    <value>
                        <dependencies>
                            <dependentValues>schema-name</dependentValues>
                            <propertyName>schema-access-strategy</propertyName>
                        </dependencies>
                        <name>schema-branch</name>
                    </value>
                </entry>
                <entry>
                    <key>schema-text</key>
                    <value>
                        <dependencies>
                            <dependentValues>schema-text-property</dependentValues>
                            <propertyName>schema-access-strategy</propertyName>
                        </dependencies>
                        <name>schema-text</name>
                    </value>
                </entry>
                <entry>
                    <key>csv-reader-csv-parser</key>
                    <value>
                        <name>csv-reader-csv-parser</name>
                    </value>
                </entry>
                <entry>
                    <key>Date Format</key>
                    <value>
                        <name>Date Format</name>
                    </value>
                </entry>
                <entry>
                    <key>Time Format</key>
                    <value>
                        <name>Time Format</name>
                    </value>
                </entry>
                <entry>
                    <key>Timestamp Format</key>
                    <value>
                        <name>Timestamp Format</name>
                    </value>
                </entry>
                <entry>
                    <key>CSV Format</key>
                    <value>
                        <name>CSV Format</name>
                    </value>
                </entry>
                <entry>
                    <key>Value Separator</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Value Separator</name>
                    </value>
                </entry>
                <entry>
                    <key>Record Separator</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Record Separator</name>
                    </value>
                </entry>
                <entry>
                    <key>Skip Header Line</key>
                    <value>
                        <name>Skip Header Line</name>
                    </value>
                </entry>
                <entry>
                    <key>ignore-csv-header</key>
                    <value>
                        <name>ignore-csv-header</name>
                    </value>
                </entry>
                <entry>
                    <key>Quote Character</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Quote Character</name>
                    </value>
                </entry>
                <entry>
                    <key>Escape Character</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Escape Character</name>
                    </value>
                </entry>
                <entry>
                    <key>Comment Marker</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Comment Marker</name>
                    </value>
                </entry>
                <entry>
                    <key>Null String</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Null String</name>
                    </value>
                </entry>
                <entry>
                    <key>Trim Fields</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>Trim Fields</name>
                    </value>
                </entry>
                <entry>
                    <key>csvutils-character-set</key>
                    <value>
                        <name>csvutils-character-set</name>
                    </value>
                </entry>
                <entry>
                    <key>csvutils-allow-duplicate-header-names</key>
                    <value>
                        <dependencies>
                            <dependentValues>custom</dependentValues>
                            <propertyName>CSV Format</propertyName>
                        </dependencies>
                        <name>csvutils-allow-duplicate-header-names</name>
                    </value>
                </entry>
            </descriptors>
            <name>CSVReader</name>
            <persistsState>false</persistsState>
            <properties>
                <entry>
                    <key>schema-access-strategy</key>
                    <value>infer-schema</value>
                </entry>
                <entry>
                    <key>schema-registry</key>
                </entry>
                <entry>
                    <key>schema-name</key>
                    <value>${schema.name}</value>
                </entry>
                <entry>
                    <key>schema-version</key>
                </entry>
                <entry>
                    <key>schema-branch</key>
                </entry>
                <entry>
                    <key>schema-text</key>
                    <value>${avro.schema}</value>
                </entry>
                <entry>
                    <key>csv-reader-csv-parser</key>
                    <value>commons-csv</value>
                </entry>
                <entry>
                    <key>Date Format</key>
                </entry>
                <entry>
                    <key>Time Format</key>
                </entry>
                <entry>
                    <key>Timestamp Format</key>
                </entry>
                <entry>
                    <key>CSV Format</key>
                    <value>custom</value>
                </entry>
                <entry>
                    <key>Value Separator</key>
                    <value>,</value>
                </entry>
                <entry>
                    <key>Record Separator</key>
                    <value>\n</value>
                </entry>
                <entry>
                    <key>Skip Header Line</key>
                    <value>false</value>
                </entry>
                <entry>
                    <key>ignore-csv-header</key>
                    <value>false</value>
                </entry>
                <entry>
                    <key>Quote Character</key>
                    <value>"</value>
                </entry>
                <entry>
                    <key>Escape Character</key>
                    <value>\</value>
                </entry>
                <entry>
                    <key>Comment Marker</key>
                </entry>
                <entry>
                    <key>Null String</key>
                </entry>
                <entry>
                    <key>Trim Fields</key>
                    <value>true</value>
                </entry>
                <entry>
                    <key>csvutils-character-set</key>
                    <value>UTF-8</value>
                </entry>
                <entry>
                    <key>csvutils-allow-duplicate-header-names</key>
                    <value>true</value>
                </entry>
            </properties>
            <state>ENABLED</state>
            <type>org.apache.nifi.csv.CSVReader</type>
        </controllerServices>
        <funnels>
            <id>7f7e59da-5392-3dca-0000-000000000000</id>
            <parentGroupId>d08c3ef8-1075-3016-0000-000000000000</parentGroupId>
            <position>
                <x>856.0</x>
                <y>64.0</y>
            </position>
        </funnels>
        <funnels>
            <id>f2563950-3e71-33e0-0000-000000000000</id>
            <parentGroupId>d08c3ef8-1075-3016-0000-000000000000</parentGroupId>
            <position>
                <x>856.0</x>
                <y>360.0</y>
            </position>
        </funnels>
        <processGroups>
            <id>29c40a2d-cf0c-36ee-0000-000000000000</id>
            <parentGroupId>d08c3ef8-1075-3016-0000-000000000000</parentGroupId>
            <position>
                <x>0.0</x>
                <y>296.0</y>
            </position>
            <comments></comments>
            <contents>
                <connections>
                    <id>c6d0a597-724d-34d2-0000-000000000000</id>
                    <parentGroupId>29c40a2d-cf0c-36ee-0000-000000000000</parentGroupId>
                    <backPressureDataSizeThreshold>1 GB</backPressureDataSizeThreshold>
                    <backPressureObjectThreshold>10000</backPressureObjectThreshold>
                    <destination>
                        <groupId>29c40a2d-cf0c-36ee-0000-000000000000</groupId>
                        <id>0fa95015-a983-34a1-0000-000000000000</id>
                        <type>OUTPUT_PORT</type>
                    </destination>
                    <flowFileExpiration>0 sec</flowFileExpiration>
                    <labelIndex>1</labelIndex>
                    <loadBalanceCompression>DO_NOT_COMPRESS</loadBalanceCompression>
                    <loadBalancePartitionAttribute></loadBalancePartitionAttribute>
                    <loadBalanceStatus>LOAD_BALANCE_NOT_CONFIGURED</loadBalanceStatus>
                    <loadBalanceStrategy>DO_NOT_LOAD_BALANCE</loadBalanceStrategy>
                    <name></name>
                    <selectedRelationships>success</selectedRelationships>
                    <source>
                        <groupId>29c40a2d-cf0c-36ee-0000-000000000000</groupId>
                        <id>f973589a-6321-34a7-0000-000000000000</id>
                        <type>PROCESSOR</type>
                    </source>
                    <zIndex>0</zIndex>
                </connections>
                <outputPorts>
                    <id>0fa95015-a983-34a1-0000-000000000000</id>
                    <parentGroupId>29c40a2d-cf0c-36ee-0000-000000000000</parentGroupId>
                    <position>
                        <x>921.5902880959741</x>
                        <y>-64.28084681011683</y>
                    </position>
                    <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
                    <name>Tesla_DataSet</name>
                    <state>STOPPED</state>
                    <type>OUTPUT_PORT</type>
                </outputPorts>
                <processors>
                    <id>f973589a-6321-34a7-0000-000000000000</id>
                    <parentGroupId>29c40a2d-cf0c-36ee-0000-000000000000</parentGroupId>
                    <position>
                        <x>272.0</x>
                        <y>-120.0</y>
                    </position>
                    <bundle>
                        <artifact>nifi-standard-nar</artifact>
                        <group>org.apache.nifi</group>
                        <version>1.15.0</version>
                    </bundle>
                    <config>
                        <bulletinLevel>WARN</bulletinLevel>
                        <comments></comments>
                        <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
                        <descriptors>
                            <entry>
<key>Input Directory</key>
<value>
    <name>Input Directory</name>
</value>
                            </entry>
                            <entry>
<key>File Filter</key>
<value>
    <name>File Filter</name>
</value>
                            </entry>
                            <entry>
<key>Path Filter</key>
<value>
    <name>Path Filter</name>
</value>
                            </entry>
                            <entry>
<key>Batch Size</key>
<value>
    <name>Batch Size</name>
</value>
                            </entry>
                            <entry>
<key>Keep Source File</key>
<value>
    <name>Keep Source File</name>
</value>
                            </entry>
                            <entry>
<key>Recurse Subdirectories</key>
<value>
    <name>Recurse Subdirectories</name>
</value>
                            </entry>
                            <entry>
<key>Polling Interval</key>
<value>
    <name>Polling Interval</name>
</value>
                            </entry>
                            <entry>
<key>Ignore Hidden Files</key>
<value>
    <name>Ignore Hidden Files</name>
</value>
                            </entry>
                            <entry>
<key>Minimum File Age</key>
<value>
    <name>Minimum File Age</name>
</value>
                            </entry>
                            <entry>
<key>Maximum File Age</key>
<value>
    <name>Maximum File Age</name>
</value>
                            </entry>
                            <entry>
<key>Minimum File Size</key>
<value>
    <name>Minimum File Size</name>
</value>
                            </entry>
                            <entry>
<key>Maximum File Size</key>
<value>
    <name>Maximum File Size</name>
</value>
                            </entry>
                        </descriptors>
                        <executionNode>ALL</executionNode>
                        <lossTolerant>false</lossTolerant>
                        <penaltyDuration>30 sec</penaltyDuration>
                        <properties>
                            <entry>
<key>Input Directory</key>
<value>/home/nifi</value>
                            </entry>
                            <entry>
<key>File Filter</key>
<value>DOGE-USD\.csv</value>
                            </entry>
                            <entry>
<key>Path Filter</key>
                            </entry>
                            <entry>
<key>Batch Size</key>
<value>10</value>
                            </entry>
                            <entry>
<key>Keep Source File</key>
<value>true</value>
                            </entry>
                            <entry>
<key>Recurse Subdirectories</key>
<value>true</value>
                            </entry>
                            <entry>
<key>Polling Interval</key>
<value>0 sec</value>
                            </entry>
                            <entry>
<key>Ignore Hidden Files</key>
<value>true</value>
                            </entry>
                            <entry>
<key>Minimum File Age</key>
<value>0 sec</value>
                            </entry>
                            <entry>
<key>Maximum File Age</key>
                            </entry>
                            <entry>
<key>Minimum File Size</key>
<value>0 B</value>
                            </entry>
                            <entry>
<key>Maximum File Size</key>
                            </entry>
                        </properties>
                        <runDurationMillis>0</runDurationMillis>
                        <schedulingPeriod>60 sec</schedulingPeriod>
                        <schedulingStrategy>TIMER_DRIVEN</schedulingStrategy>
                        <yieldDuration>1 sec</yieldDuration>
                    </config>
                    <executionNodeRestricted>false</executionNodeRestricted>
                    <name>GetDogeCoinData</name>
                    <relationships>
                        <autoTerminate>false</autoTerminate>
                        <name>success</name>
                    </relationships>
                    <state>STOPPED</state>
                    <style/>
                    <type>org.apache.nifi.processors.standard.GetFile</type>
                </processors>
            </contents>
            <defaultBackPressureDataSizeThreshold>1 GB</defaultBackPressureDataSizeThreshold>
            <defaultBackPressureObjectThreshold>10000</defaultBackPressureObjectThreshold>
            <defaultFlowFileExpiration>0 sec</defaultFlowFileExpiration>
            <flowfileConcurrency>UNBOUNDED</flowfileConcurrency>
            <flowfileOutboundPolicy>STREAM_WHEN_AVAILABLE</flowfileOutboundPolicy>
            <name>Tesla</name>
            <variables/>
        </processGroups>
        <processGroups>
            <id>ea7c5a0c-c717-34ee-0000-000000000000</id>
            <parentGroupId>d08c3ef8-1075-3016-0000-000000000000</parentGroupId>
            <position>
                <x>24.0</x>
                <y>0.0</y>
            </position>
            <comments></comments>
            <contents>
                <connections>
                    <id>66f3e80a-bfa2-3bfd-0000-000000000000</id>
                    <parentGroupId>ea7c5a0c-c717-34ee-0000-000000000000</parentGroupId>
                    <backPressureDataSizeThreshold>1 GB</backPressureDataSizeThreshold>
                    <backPressureObjectThreshold>10000</backPressureObjectThreshold>
                    <destination>
                        <groupId>ea7c5a0c-c717-34ee-0000-000000000000</groupId>
                        <id>db0622ae-d52e-371f-0000-000000000000</id>
                        <type>OUTPUT_PORT</type>
                    </destination>
                    <flowFileExpiration>0 sec</flowFileExpiration>
                    <labelIndex>1</labelIndex>
                    <loadBalanceCompression>DO_NOT_COMPRESS</loadBalanceCompression>
                    <loadBalancePartitionAttribute></loadBalancePartitionAttribute>
                    <loadBalanceStatus>LOAD_BALANCE_NOT_CONFIGURED</loadBalanceStatus>
                    <loadBalanceStrategy>DO_NOT_LOAD_BALANCE</loadBalanceStrategy>
                    <name></name>
                    <selectedRelationships>splits</selectedRelationships>
                    <source>
                        <groupId>ea7c5a0c-c717-34ee-0000-000000000000</groupId>
                        <id>182c326a-051e-3152-0000-000000000000</id>
                        <type>PROCESSOR</type>
                    </source>
                    <zIndex>0</zIndex>
                </connections>
                <connections>
                    <id>83a6628a-b8aa-33b0-0000-000000000000</id>
                    <parentGroupId>ea7c5a0c-c717-34ee-0000-000000000000</parentGroupId>
                    <backPressureDataSizeThreshold>1 GB</backPressureDataSizeThreshold>
                    <backPressureObjectThreshold>10000</backPressureObjectThreshold>
                    <destination>
                        <groupId>ea7c5a0c-c717-34ee-0000-000000000000</groupId>
                        <id>182c326a-051e-3152-0000-000000000000</id>
                        <type>PROCESSOR</type>
                    </destination>
                    <flowFileExpiration>0 sec</flowFileExpiration>
                    <labelIndex>1</labelIndex>
                    <loadBalanceCompression>DO_NOT_COMPRESS</loadBalanceCompression>
                    <loadBalancePartitionAttribute></loadBalancePartitionAttribute>
                    <loadBalanceStatus>LOAD_BALANCE_NOT_CONFIGURED</loadBalanceStatus>
                    <loadBalanceStrategy>DO_NOT_LOAD_BALANCE</loadBalanceStrategy>
                    <name></name>
                    <selectedRelationships>success</selectedRelationships>
                    <source>
                        <groupId>ea7c5a0c-c717-34ee-0000-000000000000</groupId>
                        <id>59611c59-562e-365d-0000-000000000000</id>
                        <type>PROCESSOR</type>
                    </source>
                    <zIndex>0</zIndex>
                </connections>
                <connections>
                    <id>b66a853c-3711-3eb1-0000-000000000000</id>
                    <parentGroupId>ea7c5a0c-c717-34ee-0000-000000000000</parentGroupId>
                    <backPressureDataSizeThreshold>1 GB</backPressureDataSizeThreshold>
                    <backPressureObjectThreshold>10000</backPressureObjectThreshold>
                    <destination>
                        <groupId>ea7c5a0c-c717-34ee-0000-000000000000</groupId>
                        <id>1c28088a-2fa3-3468-0000-000000000000</id>
                        <type>FUNNEL</type>
                    </destination>
                    <flowFileExpiration>0 sec</flowFileExpiration>
                    <labelIndex>1</labelIndex>
                    <loadBalanceCompression>DO_NOT_COMPRESS</loadBalanceCompression>
                    <loadBalancePartitionAttribute></loadBalancePartitionAttribute>
                    <loadBalanceStatus>LOAD_BALANCE_NOT_CONFIGURED</loadBalanceStatus>
                    <loadBalanceStrategy>DO_NOT_LOAD_BALANCE</loadBalanceStrategy>
                    <name></name>
                    <selectedRelationships>failure</selectedRelationships>
                    <selectedRelationships>original</selectedRelationships>
                    <source>
                        <groupId>ea7c5a0c-c717-34ee-0000-000000000000</groupId>
                        <id>182c326a-051e-3152-0000-000000000000</id>
                        <type>PROCESSOR</type>
                    </source>
                    <zIndex>0</zIndex>
                </connections>
                <funnels>
                    <id>1c28088a-2fa3-3468-0000-000000000000</id>
                    <parentGroupId>ea7c5a0c-c717-34ee-0000-000000000000</parentGroupId>
                    <position>
                        <x>1088.0</x>
                        <y>-56.0</y>
                    </position>
                </funnels>
                <outputPorts>
                    <id>db0622ae-d52e-371f-0000-000000000000</id>
                    <parentGroupId>ea7c5a0c-c717-34ee-0000-000000000000</parentGroupId>
                    <position>
                        <x>1576.0</x>
                        <y>192.0</y>
                    </position>
                    <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
                    <name>DogeCoinStreaming</name>
                    <state>STOPPED</state>
                    <type>OUTPUT_PORT</type>
                </outputPorts>
                <processors>
                    <id>182c326a-051e-3152-0000-000000000000</id>
                    <parentGroupId>ea7c5a0c-c717-34ee-0000-000000000000</parentGroupId>
                    <position>
                        <x>936.0</x>
                        <y>136.0</y>
                    </position>
                    <bundle>
                        <artifact>nifi-standard-nar</artifact>
                        <group>org.apache.nifi</group>
                        <version>1.15.0</version>
                    </bundle>
                    <config>
                        <bulletinLevel>WARN</bulletinLevel>
                        <comments></comments>
                        <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
                        <descriptors>
                            <entry>
<key>Record Reader</key>
<value>
    <identifiesControllerService>org.apache.nifi.serialization.RecordReaderFactory</identifiesControllerService>
    <name>Record Reader</name>
</value>
                            </entry>
                            <entry>
<key>Record Writer</key>
<value>
    <identifiesControllerService>org.apache.nifi.serialization.RecordSetWriterFactory</identifiesControllerService>
    <name>Record Writer</name>
</value>
                            </entry>
                            <entry>
<key>Records Per Split</key>
<value>
    <name>Records Per Split</name>
</value>
                            </entry>
                        </descriptors>
                        <executionNode>ALL</executionNode>
                        <lossTolerant>false</lossTolerant>
                        <penaltyDuration>30 sec</penaltyDuration>
                        <properties>
                            <entry>
<key>Record Reader</key>
<value>f13244c1-90d7-3ee9-0000-000000000000</value>
                            </entry>
                            <entry>
<key>Record Writer</key>
<value>c7955283-ec17-33b0-0000-000000000000</value>
                            </entry>
                            <entry>
<key>Records Per Split</key>
<value>1</value>
                            </entry>
                        </properties>
                        <runDurationMillis>0</runDurationMillis>
                        <schedulingPeriod>60 sec</schedulingPeriod>
                        <schedulingStrategy>TIMER_DRIVEN</schedulingStrategy>
                        <yieldDuration>1 sec</yieldDuration>
                    </config>
                    <executionNodeRestricted>false</executionNodeRestricted>
                    <name>SplitDogeCoinData</name>
                    <relationships>
                        <autoTerminate>false</autoTerminate>
                        <name>failure</name>
                    </relationships>
                    <relationships>
                        <autoTerminate>false</autoTerminate>
                        <name>original</name>
                    </relationships>
                    <relationships>
                        <autoTerminate>false</autoTerminate>
                        <name>splits</name>
                    </relationships>
                    <state>STOPPED</state>
                    <style/>
                    <type>org.apache.nifi.processors.standard.SplitRecord</type>
                </processors>
                <processors>
                    <id>59611c59-562e-365d-0000-000000000000</id>
                    <parentGroupId>ea7c5a0c-c717-34ee-0000-000000000000</parentGroupId>
                    <position>
                        <x>272.0</x>
                        <y>136.0</y>
                    </position>
                    <bundle>
                        <artifact>nifi-standard-nar</artifact>
                        <group>org.apache.nifi</group>
                        <version>1.15.0</version>
                    </bundle>
                    <config>
                        <bulletinLevel>WARN</bulletinLevel>
                        <comments></comments>
                        <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
                        <descriptors>
                            <entry>
<key>Input Directory</key>
<value>
    <name>Input Directory</name>
</value>
                            </entry>
                            <entry>
<key>File Filter</key>
<value>
    <name>File Filter</name>
</value>
                            </entry>
                            <entry>
<key>Path Filter</key>
<value>
    <name>Path Filter</name>
</value>
                            </entry>
                            <entry>
<key>Batch Size</key>
<value>
    <name>Batch Size</name>
</value>
                            </entry>
                            <entry>
<key>Keep Source File</key>
<value>
    <name>Keep Source File</name>
</value>
                            </entry>
                            <entry>
<key>Recurse Subdirectories</key>
<value>
    <name>Recurse Subdirectories</name>
</value>
                            </entry>
                            <entry>
<key>Polling Interval</key>
<value>
    <name>Polling Interval</name>
</value>
                            </entry>
                            <entry>
<key>Ignore Hidden Files</key>
<value>
    <name>Ignore Hidden Files</name>
</value>
                            </entry>
                            <entry>
<key>Minimum File Age</key>
<value>
    <name>Minimum File Age</name>
</value>
                            </entry>
                            <entry>
<key>Maximum File Age</key>
<value>
    <name>Maximum File Age</name>
</value>
                            </entry>
                            <entry>
<key>Minimum File Size</key>
<value>
    <name>Minimum File Size</name>
</value>
                            </entry>
                            <entry>
<key>Maximum File Size</key>
<value>
    <name>Maximum File Size</name>
</value>
                            </entry>
                        </descriptors>
                        <executionNode>ALL</executionNode>
                        <lossTolerant>false</lossTolerant>
                        <penaltyDuration>30 sec</penaltyDuration>
                        <properties>
                            <entry>
<key>Input Directory</key>
<value>/home/nifi</value>
                            </entry>
                            <entry>
<key>File Filter</key>
<value>DOGE-USD\.csv</value>
                            </entry>
                            <entry>
<key>Path Filter</key>
                            </entry>
                            <entry>
<key>Batch Size</key>
<value>10</value>
                            </entry>
                            <entry>
<key>Keep Source File</key>
<value>true</value>
                            </entry>
                            <entry>
<key>Recurse Subdirectories</key>
<value>true</value>
                            </entry>
                            <entry>
<key>Polling Interval</key>
<value>0 sec</value>
                            </entry>
                            <entry>
<key>Ignore Hidden Files</key>
<value>true</value>
                            </entry>
                            <entry>
<key>Minimum File Age</key>
<value>0 sec</value>
                            </entry>
                            <entry>
<key>Maximum File Age</key>
                            </entry>
                            <entry>
<key>Minimum File Size</key>
<value>0 B</value>
                            </entry>
                            <entry>
<key>Maximum File Size</key>
                            </entry>
                        </properties>
                        <runDurationMillis>0</runDurationMillis>
                        <schedulingPeriod>60 sec</schedulingPeriod>
                        <schedulingStrategy>TIMER_DRIVEN</schedulingStrategy>
                        <yieldDuration>1 sec</yieldDuration>
                    </config>
                    <executionNodeRestricted>false</executionNodeRestricted>
                    <name>GetDogeCoinData</name>
                    <relationships>
                        <autoTerminate>false</autoTerminate>
                        <name>success</name>
                    </relationships>
                    <state>STOPPED</state>
                    <style/>
                    <type>org.apache.nifi.processors.standard.GetFile</type>
                </processors>
            </contents>
            <defaultBackPressureDataSizeThreshold>1 GB</defaultBackPressureDataSizeThreshold>
            <defaultBackPressureObjectThreshold>10000</defaultBackPressureObjectThreshold>
            <defaultFlowFileExpiration>0 sec</defaultFlowFileExpiration>
            <flowfileConcurrency>UNBOUNDED</flowfileConcurrency>
            <flowfileOutboundPolicy>STREAM_WHEN_AVAILABLE</flowfileOutboundPolicy>
            <name>DogeCoin</name>
            <variables/>
        </processGroups>
    </snippet>
    <timestamp>05/03/2022 17:32:57 UTC</timestamp>
</template>
